LinuxQuestions.org
Help answer threads with 0 replies.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 04-17-2008, 02:53 AM   #1
andreas_skw
Member
 
Registered: Jan 2008
Location: Indonesia, tanah air beta
Distribution: Knoppix v5
Posts: 97

Rep: Reputation: 15
installing libxml-parser-perl_2.34.orig.tar


I've tried like what has been mentioned in README files:

Step 1: perl Makefile.PL
Writing Makefile for XML::Parser::Expat
Writing Makefile for XML::Parser

Step 2: Make
Expat.xs:1930: error: 'XML_DefaultHandler' undeclared (first use in this function)
Expat.xs:1930: error: syntax error before 'dflthndl'
Expat.xs:1931: error: 'cbv' undeclared (first use in this function)
bla....bla....bla

So long the error. Somebody help me?

Thanks in advance
 
Old 04-17-2008, 08:27 PM   #2
Tinkster
Moderator
 
Registered: Apr 2002
Location: in a fallen world
Distribution: slackware by choice, others too :} ... android.
Posts: 23,066
Blog Entries: 11

Rep: Reputation: 910Reputation: 910Reputation: 910Reputation: 910Reputation: 910Reputation: 910Reputation: 910Reputation: 910
You're missing the development files for expat. Is this in Knoppix, or
a different distro?


Cheers,
Tink
 
Old 04-18-2008, 08:18 AM   #3
andreas_skw
Member
 
Registered: Jan 2008
Location: Indonesia, tanah air beta
Distribution: Knoppix v5
Posts: 97

Original Poster
Rep: Reputation: 15
In Knoppix. Do you know how to get the development files for expat?
 
Old 04-18-2008, 04:01 PM   #4
Tinkster
Moderator
 
Registered: Apr 2002
Location: in a fallen world
Distribution: slackware by choice, others too :} ... android.
Posts: 23,066
Blog Entries: 11

Rep: Reputation: 910Reputation: 910Reputation: 910Reputation: 910Reputation: 910Reputation: 910Reputation: 910Reputation: 910
I'd try
apt-cache search libexpat | grep dev
and then feed the result into
apt-get install


Cheers,
Tink

Last edited by Tinkster; 04-18-2008 at 04:02 PM.
 
Old 04-19-2008, 11:21 PM   #5
andreas_skw
Member
 
Registered: Jan 2008
Location: Indonesia, tanah air beta
Distribution: Knoppix v5
Posts: 97

Original Poster
Rep: Reputation: 15
Tinkster, i need more explanation from your step.
1. Do i have to online? Or is it ok when offline?
2. I tried:

root@computername: apt-cache search libexpat | grep dev (enter)
root@computername: (nothing happen)
root@computername: apt-get install (enter)
reading package lists... Done
Building Dependancies tree... Done
0 upgraded, 0 newly installed, 0 to remove and 1 not upgraded

Then i tried to install perl module like in the question number 1. And it failed again. How?
 
Old 04-19-2008, 11:40 PM   #6
Tinkster
Moderator
 
Registered: Apr 2002
Location: in a fallen world
Distribution: slackware by choice, others too :} ... android.
Posts: 23,066
Blog Entries: 11

Rep: Reputation: 910Reputation: 910Reputation: 910Reputation: 910Reputation: 910Reputation: 910Reputation: 910Reputation: 910
If it's not part of the knoppix-CD yes, you need to be online.

And once "apt-cache search" returns a name, you may want to feed
that back into "apt-get install" with that name (or list of names).


Cheers,
Tink
 
Old 05-08-2008, 12:42 AM   #7
andreas_skw
Member
 
Registered: Jan 2008
Location: Indonesia, tanah air beta
Distribution: Knoppix v5
Posts: 97

Original Poster
Rep: Reputation: 15
Tinkster, i've downloaded file libexpat.dll
Where should i put it?
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
checking for XML::Parser... configure: error: XML::Parser perl module is required for kornerr Linux - General 11 11-16-2008 08:24 AM
Installing php 5 on suse 9.2 - libxml error lee110968 Linux - Newbie 0 06-11-2006 04:25 AM
Q- Reinstall Suse from orig CD or just put in & use HD from old PC as is? pwwatso Linux - Newbie 0 10-15-2004 07:23 PM
Installing HTML::Parser via webmin fails dARkHunTEr Linux - Software 10 05-01-2004 05:29 PM
problem installing XML::LibXML pmedes Linux - Newbie 0 10-28-2003 11:54 AM


All times are GMT -5. The time now is 04:19 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration